CLI
cadenya tool-search search-or-sets \
--query samplerequire "cadenya"
client = Cadenya::Client.new
result = client.tool_search.search_or_sets(query: "sample")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ToolSearchSearchOrSetsParams{
Query: "sample",
}
result, err := client.ToolSearch().SearchOrSets(ctx, params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.toolSearch.searchOrSets({ query: "sample" });from cadenya import Cadenya
with Cadenya() as client:
result = client.tool_search.search_or_sets(query="sample")
print(result){
"tools": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"description": "<string>",
"requiresApproval": true,
"parameters": {},
"config": {
"type": "http",
"http": {
"requestMethod": "HTTP_METHOD_UNSPECIFIED",
"path": "<string>",
"query": "<string>",
"headers": {},
"requestBodyTemplate": "<string>",
"requestBodyContentType": "<string>"
}
},
"llmToolName": "<string>"
},
"state": "STATE_UNSPECIFIED",
"info": {
"signature": "<string>",
"toolSet": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"overlays": [
"<string>"
],
"effectiveParameters": {}
}
}
],
"toolSets": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
}
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
}
}
],
"agents": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"variationSelectionMode": "VARIATION_SELECTION_MODE_UNSPECIFIED",
"description": "<string>",
"webhookEventsUrl": "<string>",
"systemPromptDataSchema": {},
"outputDefinition": {},
"enableEpisodicMemory": true,
"episodicMemoryTtl": 123
},
"info": {
"variationCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Tools
Search for tools or tool sets
Searches for tools or tool sets in the workspace
GET
/
v1
/
workspaces
/
{workspaceId}
/
search
/
tools_or_tool_sets
CLI
cadenya tool-search search-or-sets \
--query samplerequire "cadenya"
client = Cadenya::Client.new
result = client.tool_search.search_or_sets(query: "sample")
puts result.inspectpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.ToolSearchSearchOrSetsParams{
Query: "sample",
}
result, err := client.ToolSearch().SearchOrSets(ctx, params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const result = await client.toolSearch.searchOrSets({ query: "sample" });from cadenya import Cadenya
with Cadenya() as client:
result = client.tool_search.search_or_sets(query="sample")
print(result){
"tools": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"description": "<string>",
"requiresApproval": true,
"parameters": {},
"config": {
"type": "http",
"http": {
"requestMethod": "HTTP_METHOD_UNSPECIFIED",
"path": "<string>",
"query": "<string>",
"headers": {},
"requestBodyTemplate": "<string>",
"requestBodyContentType": "<string>"
}
},
"llmToolName": "<string>"
},
"state": "STATE_UNSPECIFIED",
"info": {
"signature": "<string>",
"toolSet": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"overlays": [
"<string>"
],
"effectiveParameters": {}
}
}
],
"toolSets": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adapter": {
"type": "mcp",
"mcp": {
"url": "<string>",
"headers": {},
"includeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"excludeTools": {
"operator": "OPERATOR_UNSPECIFIED",
"filters": [
{
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
]
},
"toolApprovals": {
"type": "always",
"always": true
},
"justInTime": {
"enabled": true,
"failObjectiveOnToolListError": true
}
}
},
"description": "<string>",
"overlays": [
{
"key": "<string>",
"selector": {
"operator": "OPERATOR_UNSPECIFIED",
"conditions": [
{
"type": "attribute",
"attribute": {
"attribute": "ATTRIBUTE_UNSPECIFIED",
"matcher": {
"type": "exact",
"exact": "<string>",
"caseSensitive": true
}
}
}
]
},
"disabled": true,
"parameterActions": [
{
"type": "remove",
"remove": {
"path": "<string>"
}
}
],
"resultActions": [
{
"type": "transform",
"transform": {
"contentTemplate": "<string>",
"onError": "ON_ERROR_UNSPECIFIED",
"expectJson": true
}
}
],
"widgetArgumentExposure": {
"enabled": true
}
}
]
},
"state": "STATE_UNSPECIFIED",
"info": {
"toolCount": 123,
"agentCount": 123,
"availableTools": 123,
"omittedTools": 123,
"lastSync": "2023-11-07T05:31:56Z",
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
}
}
],
"agents": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"variationSelectionMode": "VARIATION_SELECTION_MODE_UNSPECIFIED",
"description": "<string>",
"webhookEventsUrl": "<string>",
"systemPromptDataSchema": {},
"outputDefinition": {},
"enableEpisodicMemory": true,
"episodicMemoryTtl": 123
},
"info": {
"variationCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
}
},
"state": "STATE_UNSPECIFIED"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
NOTE: query is runtime-required (buf.validate min_len), but gnostic
does not propagate message-level schema required to GET query
parameters — overlay.yaml marks the parameter required instead.
Example:
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"